Redmine - Defect #1416

Inline code with less-then/greater-than produces @lIt; and @gt; respectively
2008-06-10 08:50 - Anonymous

Status: Closed Start date: 2008-06-10
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version: 1.0.0 (RC)

Resolution: Fixed Affected version:

Description

| tried to put the following in inline code

<Location /redmine>

in a forum message and the result was <Location /redmine> e.g. <Location /redmine>
Is this expected? Looks like a bug to me.

¢ Redmine-0.7.1

¢ Rails-2.0.2

¢ Ruby-1.8.6
Related issues:
Has duplicate Redmine - Defect #2280: lesser symbol is printed as HTMLcode Closed 2008-12-05
Has duplicate Redmine - Defect #3020: Problem with wiki formatting for inline... Closed 2009-03-21
Has duplicate Redmine - Defect #2922: bad escaping of < and > in code exemple... Closed 2009-03-06
Has duplicate Redmine - Defect #4794 wiki rendering bug Closed 2010-02-10

Associated revisions

Revision 3567 - 2010-03-12 16:12 - Jean-Philippe Lang
Fixed: inline code with less-then/greater-than produces @It; and @gt; (#1416).

History

#1 - 2008-08-20 18:58 - Brian Ericson

Ran into the same thing. Simple workaround is to stop the inline, add the </>, and continue the inline (ending it at the next </> and resuming it
afterward).

(ampersand)abc <123> xyz(ampersand) results in abc <123> xyz

(ampersand)abc(ampersand) <(ampersand)123(ampersand)> (ampersand) xyz(ampersand) gives you abc <123> xyz, which is what you want.

#2 - 2008-08-21 05:22 - Brian Ericson

Sorry -- "@" is not an (ampersand). Also, "add the ," should be "add the < or > characters," (if you follow a less than immediately by a greater than,
redmine appears to not show it).

#3 - 2009-03-22 11:57 - Jean-Baptiste Barth
- File redcloth_arobas.diff added

- Affected version (unused) deleted (0.7.1)

- Affected version deleted (0.7.1)

The problem is redcloth parses twice these characters ; the first time it escapes all "<" and ">", no problem about that, but the second it traduces
resulting "&lt;" to "&amp;lt;" (and so on), which is incorrect. It seems to me it's a redcloth problem, so | patched recloth lib to avoid second parsing.
See attachment and let me know your opinion about that.

#4 - 2010-02-10 21:34 - Jean-Philippe Lang
- Category changed from Wiki to Text formatting
#5 - 2010-02-17 13:07 - Anthony Groyer

This works fine for inline code with @ separators. For

separators, this does not work.
Why not considering moving to RedCloth 4 that apparently fixes these 2 issues ?

#6 - 2010-02-17 13:09 - Anthony Groyer

This works fine for inline code with separators. For <pre> separators, this does not work.
Why not considering moving to RedCloth 4 that apparently fixes these 2 issues ?

#7 - 2010-02-26 18:09 - Anthony Groyer
- File redcloth3_3.0.4_escape.diff added

In fact, the bug | described (with pre separators) appears when | use coderay-0.9.1 (for java syntax coloration) that | have copied manually in

redmine/vendor/plugins.
| attached a patch of redcloth3.rb that seems to work.

#8 - 2010-03-12 11:49 - Anthony Groyer

Anthony Groyer wrote:

In fact, the bug | described (with pre separators) appears when | use coderay-0.9.1 (for java syntax coloration) that | have copied manually in

redmine/vendor/plugins.

| attached a patch of redcloth3.rb that seems to work.
This patch solves the issue when the < and > are between a
<pre><code class="..."> </code>
tags but create a bug when they are used in
<pre> </pre>

tags.

#9 - 2010-03-12 16:13 - Jean-Philippe Lang

- Subject changed from Include code and less-then/greater-than produces @lIt; and @gt; respectively to Inline code with less-then/greater-than

produces @It; and @gt; respectively
- Status changed from New to Closed
- Target version set to 1.0.0 (RC)

- Resolution set to Fixed

The initial defect (< > inside inline code) is fixed by applying Jean-Baptiste's patch in r3567.
Anthony, your problem seems different and your patch breaks a few tests.

#10 - 2013-08-13 17:56 - Luc Vandenbroucke

| do have about the same problem with lines starting with a space
like this

&1t; VLAN&Qt;

Files

redcloth_arobas.diff 1.18 KB 2009-03-22 Jean-Baptiste Barth

redcloth3_3.0.4_escape.diff 1.34 KB 2010-02-26 Anthony Groyer
https://www.redmine.org/projects/redmine/repository/svn/revisions/3567
http://www.tcpdf.org

